USE organDonor;

-- -----------------------------------------------------
-- Table `organDonor`.`OrganDonor`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `OrganDonor` (
  `OrganDonorPID` INT(11) NOT NULL AUTO_INCREMENT,
  `PersonIdentifier` VARCHAR(30) NOT NULL,
  `ModifiedDateTime` DATETIME NOT NULL,
  `ValidFrom` DATETIME NOT NULL,
  `ValidTo` DATETIME NOT NULL,
  `PermissionType` VARCHAR(10) NULL,
  `Heart` BIT NULL,
  `Kidneys` BIT NULL,
  `Lungs` BIT NULL,
  `Corneas` BIT NULL,
  `Liver` BIT NULL,
  `SmallIntestine` BIT NULL,
  `Pancreas` BIT NULL,
  `Skin` BIT NULL,
  `RelativeAcceptanceRequired` BIT NULL,
  `Version` INT(11) NOT NULL,
  PRIMARY KEY (`OrganDonorPID`),
  INDEX `idx_validTo` (`ValidTo` ASC))
ENGINE = InnoDB
COLLATE 'utf8_bin';
